Steam for Linux > Non-Valve Games > Topic Details
fityiszkukac Feb 19, 2013 @ 4:55am
[SOLVED] Serious Sam 3 Ubuntu 12.10 Nvidia 310
The game is not run :-(
Last edited by fityiszkukac; Feb 23, 2013 @ 12:42am
Showing 1-15 of 15 comments
< >
fityiszkukac Feb 19, 2013 @ 4:58am 


-------- START OF LOG --------

11:53:06 LOG: Core version: $Version: distro_Sam3_PC; SeriousSam3_Executables-Linux-Final; 176695 2013-01-24 17:16:44 @builderl02; Linux-Static-Final-Default$
11:53:06 LOG: Command: $
11:53:06 LOG: Initializing timer.
11:53:06 LOG: Timestamp: 2013/02/19 11:53:06
11:53:06 LOG: Binary name: Sam3
11:53:06 LOG: Binary soft path: Bin/
11:53:06 LOG: Binary hard path: /media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/
11:53:06 LOG: Application directory: /media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/
11:53:06 LOG: * OS...
11:53:06 LOG: Type: Linux
11:53:06 LOG: Kernel: 3.5.0-23-generic
11:53:06 LOG: Version: #35-Ubuntu SMP Thu Jan 24 13:15:40 UTC 2013
11:53:06 LOG: Architecture: x86_64
11:53:06 LOG: Output of lsb_release: Distributor ID: Ubuntu
11:53:06 LOG: Description: Ubuntu 12.10
11:53:06 LOG: Release: 12.10
11:53:06 LOG: Codename: quantal
11:53:06 LOG:
11:53:06 LOG: /etc/*-release: DISTRIB_ID=Ubuntu
11:53:06 LOG: DISTRIB_RELEASE=12.10
11:53:06 LOG: DISTRIB_CODENAME=quantal
11:53:06 LOG: DISTRIB_DESCRIPTION="Ubuntu 12.10"
11:53:06 LOG: NAME="Ubuntu"
11:53:06 LOG: VERSION="12.10, Quantal Quetzal"
11:53:06 LOG: ID=ubuntu
11:53:06 LOG: ID_LIKE=debian
11:53:06 LOG: PRETTY_NAME="Ubuntu quantal (12.10)"
11:53:06 LOG: VERSION_ID="12.10"
11:53:06 LOG:
11:53:06 LOG: /etc/debian_version: wheezy/sid
11:53:06 LOG:
11:53:06 LOG: Power saving settings: /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies:2000000 1667000 1333000 1000000
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_governors:conservative ondemand userspace powersave performance
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq:2000000
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_driver:acpi-cpufreq
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor:ondemand
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq:2000000
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq:1000000
11:53:06 LOG: /sys/devices/system/cpu/cpu0/cpufreq/scaling_setspeed:<unsupported>
11:53:06 LOG:
11:53:06 WRN: CPU Power saving is enabled and performance governor is not used.
11:53:06 LOG:
11:53:06 LOG: XDG_CURRENT_DESKTOP: Unity
11:53:06 LOG: GDMSESSION: ubuntu
11:53:06 LOG: DESKTOP_SESSION: ubuntu
11:53:06 LOG: KDE_SESSION_VERSION: (null)
11:53:06 LOG:
11:53:06 LOG: * CPU...
11:53:06 LOG: Vendor: GenuineIntel
11:53:06 LOG: Name: Intel(R) Core(TM)2 Duo CPU T5750 @ 2.00GHz
11:53:06 LOG: Type: 0, Family: 6, Model: 15, Stepping: 13
11:53:06 LOG: Clock: 1.99 GHz
11:53:06 LOG: Cores: 2
11:53:06 LOG: CMOV: Yes
11:53:06 LOG: SSE: Yes
11:53:06 LOG:
11:53:06 LOG: * Memory...
11:53:06 LOG: Total physical memory: 3010 MB
11:53:06 LOG: Free physical memory: 1246 MB
11:53:06 LOG:
11:53:06 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/ScriptLua.so".
11:53:06 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GameEnv_Steam.so".
11:53:06 INF: GameEnv API: Steam
11:53:06 INF: Encoded user ID = 7e045bde:624d3dd8
11:53:06 LOG: Created thread -176047296(ResourceLoader).
11:53:06 LOG: "$/home/csabus/.local/share/Steam/userdata/112494217/41070/local/SeriousSam3.ini" does not exist, skipping cvar loading.
11:53:06 LOG: Loaded "libX11.so.6".
11:53:06 LOG: Loaded "libXi.so.6".
11:53:06 LOG: Loaded "libXrandr.so.2".
11:53:07 LOG: Display 0: LVDS-0 (1280x800)
11:53:07 LOG: Trying to set display mode 1280x800(fullscreen)...
11:53:07 INF:
11:53:07 INF: * Desktop settings...
11:53:07 INF: Color depth: 32-bit
11:53:07 INF: Desktop resolution: 1280 x 800
11:53:07 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GfxOGL.so".
11:53:07 INF: Fullscreen on primary display
11:53:07 LOG: Loaded "libGL.so.1".
11:53:07 LOG: Loaded "libXxf86vm.so.1".
11:53:07 ERR: Cannot set requested display mode 1280x800: GfxAPI error:
11:53:07 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
11:53:07 ERR:
11:53:07 INF: (display mode already stopped)
11:53:07 INF: Trying fallback modes...
11:53:07 LOG: Trying to set display mode 640x480(fullscreen)...
11:53:07 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GfxOGL.so".
11:53:07 LOG: Setting resolution to 640x480...
11:53:09 INF: Fullscreen on primary display
11:53:09 LOG: Loaded "libGL.so.1".
11:53:09 LOG: Loaded "libXxf86vm.so.1".
11:53:09 ERR: Cannot set requested display mode 640x480: GfxAPI error:
11:53:09 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
11:53:09 ERR:
11:53:09 INF: (display mode already stopped)
11:53:09 LOG: Trying to set display mode 1280x800(fullscreen)...
11:53:09 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GfxOGL.so".
11:53:09 INF: Fullscreen on primary display
11:53:09 LOG: Loaded "libGL.so.1".
11:53:09 LOG: Loaded "libXxf86vm.so.1".
11:53:09 ERR: Cannot set requested display mode 1280x800: GfxAPI error:
11:53:09 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
11:53:09 ERR:
11:53:09 INF: (display mode already stopped)
11:53:09 LOG: Trying to set display mode 1024x768(fullscreen)...
11:53:09 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GfxOGL.so".
11:53:09 LOG: Setting resolution to 1024x768...
11:53:12 INF: Fullscreen on primary display
11:53:12 LOG: Loaded "libGL.so.1".
11:53:12 LOG: Loaded "libXxf86vm.so.1".
11:53:12 ERR: Cannot set requested display mode 1024x768: GfxAPI error:
11:53:12 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
11:53:12 ERR:
11:53:12 INF: (display mode already stopped)
11:53:12 LOG: Trying to set display mode 1151x719(window)...
11:53:12 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GfxOGL.so".
11:53:12 LOG: Loaded "libGL.so.1".
11:53:12 ERR: Cannot set requested display mode 0x0: GfxAPI error:
11:53:12 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
11:53:12 ERR:
11:53:12 INF: (display mode already stopped)
11:53:12 LOG: Trying to set display mode 640x480(window)...
11:53:12 LOG: Loaded "/media/csabus/Data and temp/SteamApps/SteamApps/common/Serious Sam 3/Bin/GfxOGL.so".
11:53:12 LOG: Loaded "libGL.so.1".
11:53:12 ERR: Cannot set requested display mode 0x0: GfxAPI error:
11:53:12 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
11:53:12 ERR:
11:53:12 INF: (display mode already stopped)
11:53:12 FTL: Fatal error: Cannot set display mode.
11:53:12 LOG: Restoring desktop resolution...
11:53:14 INF: Crash! (Segmentation fault)

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 9300M G/PCIe/SSE2
OpenGL version string: 2.1.2 NVIDIA 304.51
OpenGL shading language version string: 1.20 NVIDIA via Cg compiler
fityiszkukac Feb 19, 2013 @ 5:00am 
Yes, i tried the 304.xy driver.
fityiszkukac Feb 19, 2013 @ 5:00am 
Please help me...
gutigen o) Feb 19, 2013 @ 5:20am 
Did you installed nvidia drivers from website or ubuntu repositories?
Teisei Feb 19, 2013 @ 5:29am 
11:53:12 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
I guess this nails it. You seem to be using 304 series drivers, while 310 or higher are recommended. You can try setting up xorg-edgers repository to install 313 series drivers (which I'm currently using, and they're very fast).

For 313 series drivers do:
sudo add-apt-repository ppa:xorg-edgers/ppa
sudo apt-get update
sudo apt-get install nvidia-313

Note: Make sure you remove any drivers you have installed directly from Nvidia website.
Note2: Using Xorg-edgers repository may be risky, be aware of that.
gutigen o) Feb 19, 2013 @ 5:48am 
Originally posted by ⠀⠀:
11:53:12 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
I guess this nails it. You seem to be using 304 series drivers, while 310 or higher are recommended. You can try setting up xorg-edgers repository to install 313 series drivers (which I'm currently using, and they're very fast).

Don't, installing 313.x drivers achievs absolutly nothing atm. It's common error when you install drivers from website instead of repository, so perhaps you should try this route.
SUSEd Feb 19, 2013 @ 11:28am 
glxinfo | grep version
Teisei Feb 19, 2013 @ 1:42pm 
Originally posted by gutigen o) Linux:
Originally posted by ⠀⠀:
11:53:12 ERR: OpenGL error: OpenGL version is too old. (2.1 or higher is required!)
I guess this nails it. You seem to be using 304 series drivers, while 310 or higher are recommended. You can try setting up xorg-edgers repository to install 313 series drivers (which I'm currently using, and they're very fast).

Don't, installing 313.x drivers achievs absolutly nothing atm. It's common error when you install drivers from website instead of repository, so perhaps you should try this route.

Well, I understand if new Linux users download and install drivers directly from the website like they did in Windows. I also recommended removing drivers installed this way, in order to avoid driver conflicts. As for me, installing 313 series drivers was safe and didn't break anything (actually I noticed a small FPS gain in Unigine Heaven 4.0), so I can and will recommend it to everybody using Nvidia GPU.

As for OP's driver version,
OpenGL version string: 2.1.2 NVIDIA 304.51
I believe he hasn't installed the drivers properly, or is using wrong ones (read: Nouveau).

OP, in case you have installed the drivers from Nvidia website, do:
sudo nvidia-installer --uninstall
sudo apt-get install nvidia-current
The first command uninstalls Nvidia drivers downloaded from the website, and the latter installs your distribution's default proprietary Nvidia drivers. If this doesn't help you, check out my suggestion about xorg-edgers repository and 313 drivers. It's not like you're going to get far with 304 series drivers.
fityiszkukac Feb 20, 2013 @ 12:44am 
Thank you everybody.

The NVIDIA 304.51 is from the repo.
This is the 'nvi.-cur.
The 'nvidia-experimental' is the 310.xy.

Ok. I try the 313.
fityiszkukac Feb 20, 2013 @ 2:38am 
this is the problem maybe.

The nvidia binary drivers do not support XRandR 1.2, and so the xrandr tool is very limited when working with the nvidia binary. You can pretty much only query the list of available modes and set one, not add new modes.

But :
http://us.download.nvidia.com/XFree86/Linux-x86_64/313.18/README/xrandrextension.html
Last edited by fityiszkukac; Feb 20, 2013 @ 2:49am
fityiszkukac Feb 20, 2013 @ 8:29am 
It's crazy.
Know you one method that the game not to change resolution ?

(sorry, my English is bad...)
keks Feb 20, 2013 @ 11:51pm 
The game does not change resolution by default. This is a problem with improperly installed drivers.
fityiszkukac Feb 21, 2013 @ 1:31am 
Ok. Know you which is the appropriate driver and install method.
I tried :
304.xy
310.xy
313.xy
from the repository.
My method :
Ctrl+Alt+F1
sudo stop lightdm
sudo apt-get remove nvidia* --purge
sudo apt-get install nvidia-(current,experimental,etc)
sudo init 6
towo01 Feb 21, 2013 @ 4:19am 
You use a 64bit system!
For steam, you need the 32bit libs for gl, at least you need
libgl1-nvidia-glx:i386 it will help nothing, if you only install the 64bit driver!
fityiszkukac Feb 23, 2013 @ 12:41am 
I downloaded the latest driver (310.32) from the nvidia home page, and I install the 32 bit libs. This is working fine.

Maybe the problem was the 32 bit libs.

Thank you everybody the help.
Last edited by fityiszkukac; Feb 23, 2013 @ 12:43am
Showing 1-15 of 15 comments
< >
Per page: 15 30 50